Subject: Re: [PATCH] test-lib: write test results to test-results/<basename>-<pid>

From: SZEDER Gábor <[email-masked]>
Date: Sat, 14 Mar 2009 13:28:33 +0100

On Sat, Mar 14, 2009 at 01:22:59PM +0100, Johannes Schindelin wrote:
> On Sat, 14 Mar 2009, SZEDER Gábor wrote:
> 
> > If you have failing tests, or if you interrupt the tests, then you
> > will have stale files lying around _anyway_:  not only test results
> > are left there, but also trash directories.
> 
> The 'pre-clean' target actually cleans test-results/, and test-lib.sh make 
> sure that the trash directory is removed and recreated.

With my proposed change there would be no need to clean 'test-results'
before running the tests, because test-lib.sh would take care of that
(not by removing and recreating 'test-results/', but by overwriting
(IOW: removing and recreating, but in one step) individual test result
files).

Best,
Gábor